Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.jsp
Class JspServlet

    java.lang.Object
      |
      +--javax.servlet.GenericServlet
            |
            +--com.caucho.jsp.QServlet
                  |
                  +--com.caucho.jsp.JspServlet

public class JspServlet
extends com.caucho.jsp.QServlet

Handles JSP pages. Most of the work is done in the JspManager and QServlet.

See Also:
  `JspManager`, Serialized Form

Fields inherited from class com.caucho.jsp.QServlet
`application`

Constructor Summary
`JspServlet()`

Method Summary
`java.lang.String` | `getServletInfo()` Returns a string describing the servlet.
`void` | `init(ServletConfig conf)` Initializes the servlet.

Methods inherited from class com.caucho.jsp.QServlet
`destroy, getServletContext, service, setManager`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JspServlet

    public JspServlet()

Method Detail

### init

    public void init(ServletConfig conf)
              throws ServletException

  Initializes the servlet. Primarily, this sets the PageManager to the correct JspManager.
  Overrides:
    init in class com.caucho.jsp.QServlet
  Tags copied from class: GenericServlet
  Parameters:
    `config` - the servlet's configuration

### getServletInfo

    public java.lang.String getServletInfo()

  Description copied from class: GenericServlet
  Returns a string describing the servlet.
  Overrides:
    getServletInfo in class GenericServlet

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD